Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
  
var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
    //show loading screen
   this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    //var cacheKey = Phaser.Plugin.Tiled.utils.cacheKey;
    this.load.image('bg', 'img/OB_main_background.jpg');
    this.load.image('bg_ingame', 'img/OB_main_background.jpg');  
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/OB_main_tytul.png');
    this.load.image('pomocnik', 'img/OB_main_przewodnik.png');
    this.load.spritesheet('play_button', 'img/OB_main_button_play.png',215,215,3); 
   // this.load.spritesheet('speaker', 'img/speaker1.png',115,115);
    this.load.spritesheet('help', 'img/OB_memory_button_info.png', 133,133);  
    //this.load.spritesheet('arrow','img/strzalki.png', 75,73);
    this.load.image('guiPomocnik_good', 'img/OB_sklepy_przewodnik1.png');
    this.load.image('guiPomocnik_bad', 'img/OB_sklepy_przewodnik2.png');  
    this.load.image('Finish', 'img/OB_sklepy_dymek.png');
    this.load.image('book', 'img/OB_book.png');
    this.load.spritesheet('button1', 'img/OB_I_3_button1.png',130,130);  
    this.load.spritesheet('button2', 'img/OB_I_3_button2.png',130,130); 
    this.load.spritesheet('button3', 'img/OB_I_3_button3.png',130,130);   
    this.load.spritesheet('backButton', 'img/OB_sklepy_button_previous.png',120,120);
    this.load.spritesheet('GoButton', 'img/OB_sklepy_button_next.png',120,120);    
  //  this.load.image('calc_', 'img/OS_puzzle_calc_C.png');
    this.load.image('lista', 'img/OB_I_3_lista.png');
   // this.load.image('calc_bg', 'img/OB_sklepy_koszyk.png');
    this.load.image('regal', 'img/OB_I_3_regal.png');
    this.load.image('regal1', 'img/OB_I_3_regal2.png');  
   // this.load.image('counter', 'img/OB_sklepy_kasa.png');
       this.load.spritesheet('definicja', 'img/OB_I_1_definicja.png', (590/2),120);
    
/*    this.load.image('1_0', 'img/01_dzieci_dorosli/OB_I_3_01_0.png');  
    this.load.image('1_1', 'img/01_dzieci_dorosli/OB_I_3_01_1.png');
    this.load.image('1_2', 'img/01_dzieci_dorosli/OB_I_3_01_2.png');  
    this.load.image('2_0', 'img/01_dzieci_dorosli/OB_I_3_02_0.png');  
    this.load.image('2_1', 'img/01_dzieci_dorosli/OB_I_3_02_1.png');  
    this.load.image('2_2', 'img/01_dzieci_dorosli/OB_I_3_02_2.png');
    this.load.image('3_0', 'img/01_dzieci_dorosli/OB_I_3_03_0.png');  
    this.load.image('3_1', 'img/01_dzieci_dorosli/OB_I_3_03_1.png');  
    this.load.image('3_2', 'img/01_dzieci_dorosli/OB_I_3_03_2.png');  
    this.load.image('4_0', 'img/01_dzieci_dorosli/OB_I_3_04_0.png');
    this.load.image('4_1', 'img/01_dzieci_dorosli/OB_I_3_04_1.png');  
    this.load.image('4_2', 'img/01_dzieci_dorosli/OB_I_3_04_2.png');
    this.load.image('5_0', 'img/01_dzieci_dorosli/OB_I_3_05_0.png');  
    this.load.image('5_1', 'img/01_dzieci_dorosli/OB_I_3_05_1.png');  
    this.load.image('5_2', 'img/01_dzieci_dorosli/OB_I_3_05_2.png');  
    this.load.image('6_0', 'img/01_dzieci_dorosli/OB_I_3_06_0.png');
    this.load.image('6_1', 'img/01_dzieci_dorosli/OB_I_3_06_1.png');  
    this.load.image('6_2', 'img/01_dzieci_dorosli/OB_I_3_06_2.png'); */     
    
      
    for (var i = 1; i<7; i ++)
    {
      for (var j = 0; j<3; j++)
      {
         this.load.image('super_'+i+'_'+j, 'img/02_supermarket/OB_I_3_0'+i+'_'+j+'.png');
        this.load.image(i+'_'+j, 'img/01_dzieci_dorosli/OB_I_3_0'+i+'_'+j+'.png');
        this.load.image('warz_'+i+'_'+j, 'img/03_warzywniak/OB_I_3_0'+i+'_'+j+'.png');
        this.load.image('wielo_'+i+'_'+j, 'img/04_wielobranzowy/OB_I_3_0'+i+'_'+j+'.png');   
      }
    }
                          
    this.load.bitmapFont('font_0', 'font/font_0_0.png',null,xmlplain);  
  },    
  create: function() {
    this.state.start('Menu');
  },

};